<?php
namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class BaseModel extends Model
{
    /**
     * 封装一个参数搜索条件 字符串 半模糊
     * @return array
     * @date 2021/07/27
     * @author live
     */
    public function scopeSearch($query,$key,$field)
    {
        return $query->when($key != '', function ($query) use ($key,$field) {
            return $query->where($field, 'like',$key.'%');
        });
    }

    /**
     * 封装一个参数搜索条件 数字
     * @return array
     * @date 2021/07/27
     * @author live
     */
    public function scopeSearchInt($query,$num,$field)
    {
        return $query->when($num > 0, function ($query) use ($num,$field) {
            return $query->where($field, $num);
        });
    }

    /**
     * 封装一个参数搜索条件
     * @return array
     * @date 2021/07/27
     * @author live
     */
    public function scopeSearchString($query,$string,$field,$compare)
    {
        return $query->when($string != '', function ($query) use ($string,$field,$compare) {
            if($compare == '') return $query->where($field,$string);
            if($compare != '') return $query->where($field,$compare,$string);
        });
    }

    /**
     * 封装一个参数搜索条件
     * @return array
     * @date 2021/07/27
     * @author live
     */
    public function scopeSearchArray($query,$array,$field)
    {
        return $query->when(!empty($array), function ($query) use ($array,$field) {
            return $query->whereIn($field,$array);
        });
    }

}