<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        $this->app->bind('App\Services\User\IUserService', 'App\Services\User\UserService');
        $this->app->bind('App\Services\White\IWhiteService', 'App\Services\White\WhiteService');
        $this->app->bind('App\Services\Account\IAccountService', 'App\Services\Account\AccountService');
        $this->app->bind('App\Services\Warn\IWarnService', 'App\Services\Warn\WarnService');
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        //
    }
}
